Get all recommendation views
curl --request GET \
--url https://api.vantage.sh/v2/recommendation_views \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/recommendation_views"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/recommendation_views', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vantage.sh/v2/recommendation_views",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vantage.sh/v2/recommendation_views"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vantage.sh/v2/recommendation_views")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vantage.sh/v2/recommendation_views")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"links": {
"self": "https://api.vantage.sh/v2/recommendation_views",
"first": "https://api.vantage.sh/v2/recommendation_views?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/recommendation_views?page=1",
"prev": null
},
"recommendation_views": [
{
"token": "rec_vw_3dffc0458f7a2487",
"title": "Production Recommendations",
"workspace_token": "wrkspc_914dcb0959497507",
"start_date": "2024-01-01",
"end_date": "2024-12-31",
"provider_ids": [
"aws",
"gcp"
],
"billing_account_ids": [],
"account_ids": [
"123456789012"
],
"regions": [
"us-east-1",
"us-west-2"
],
"tag_key": "environment",
"tag_value": "production",
"created_at": "2024-07-15T16:08:53Z",
"created_by": "usr_95fac32734bdceab"
}
]
}RecommendationViews
Get all recommendation views
Return all RecommendationViews.
GET
/
recommendation_views
Get all recommendation views
curl --request GET \
--url https://api.vantage.sh/v2/recommendation_views \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/recommendation_views"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/recommendation_views', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vantage.sh/v2/recommendation_views",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vantage.sh/v2/recommendation_views"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vantage.sh/v2/recommendation_views")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vantage.sh/v2/recommendation_views")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"links": {
"self": "https://api.vantage.sh/v2/recommendation_views",
"first": "https://api.vantage.sh/v2/recommendation_views?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/recommendation_views?page=1",
"prev": null
},
"recommendation_views": [
{
"token": "rec_vw_3dffc0458f7a2487",
"title": "Production Recommendations",
"workspace_token": "wrkspc_914dcb0959497507",
"start_date": "2024-01-01",
"end_date": "2024-12-31",
"provider_ids": [
"aws",
"gcp"
],
"billing_account_ids": [],
"account_ids": [
"123456789012"
],
"regions": [
"us-east-1",
"us-west-2"
],
"tag_key": "environment",
"tag_value": "production",
"created_at": "2024-07-15T16:08:53Z",
"created_by": "usr_95fac32734bdceab"
}
]
}